Skip to main content
POST
/
prompts
/
{promptId}
/
evaluators
Create an evaluator
curl --request POST \
  --url https://api.adaline.ai/v2/prompts/{promptId}/evaluators \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "projectId": "<string>",
  "title": "<string>",
  "datasetId": "<string>",
  "config": {
    "type": "llm-as-a-judge",
    "group": "ai-powered",
    "value": "<string>"
  }
}
'
{
  "id": "<string>",
  "promptId": "<string>",
  "title": "<string>",
  "datasetId": "<string>",
  "config": {
    "type": "llm-as-a-judge",
    "group": "ai-powered",
    "value": "<string>"
  },
  "status": "active",
  "createdAt": 17450965800000,
  "updatedAt": 17450965800000
}

Authorizations

Authorization
string
header
required

Workspace API key. Pass as Authorization: Bearer <key>.

Path Parameters

promptId
string
required

Unique identifier for an entity, between 20 and 80 characters.

Required string length: 20 - 80

Body

application/json
projectId
string
required

Unique identifier for an entity, between 20 and 80 characters.

Required string length: 20 - 80
title
string
required

Display title for an evaluator, up to 200 characters.

Required string length: 1 - 200
datasetId
string
required

Unique identifier for an entity, between 20 and 80 characters.

Required string length: 20 - 80
config
LLM as a Judge · object
required

Evaluator configuration, discriminated by type.

Response

Evaluator created.

An evaluator configuration for running evaluations on datasets.

id
string
required

Unique identifier for an entity, between 20 and 80 characters.

Required string length: 20 - 80
promptId
string
required

Unique identifier for an entity, between 20 and 80 characters.

Required string length: 20 - 80
title
string
required

Display title for an evaluator, up to 200 characters.

Required string length: 1 - 200
datasetId
string
required

Unique identifier for an entity, between 20 and 80 characters.

Required string length: 20 - 80
config
LLM as a Judge · object
required

Evaluator configuration, discriminated by type.

status
enum<string>
required

Evaluator lifecycle status.

Available options:
active,
archived
createdAt
integer<int64>
required

Unix timestamp in milliseconds.

Required range: 1672511400000 <= x <= 33229420200000
updatedAt
integer<int64>
required

Unix timestamp in milliseconds.

Required range: 1672511400000 <= x <= 33229420200000